'use strict';

angular.module('adf.widget.electre.lavoisier')
    .controller('lavoisierTableEditCtrl',
        [
            '$scope', 'config', 'domService',
            function ($scope, config, domService) {
                config.filter = true;

                var filter_edit_template = {
                    "div" : {
                        classes : "form-group",
                        attributes: { "ng-if" : "config.viewOk" },
                        children : {
                            "label" : {
                                attributes : { "for" : "edit_table_filter_chk" },
                                content : "Filters (On/Off)"
                            },
                            "input" : {
                                attributes : {
                                    "id" : "edit_table_filter_chk",
                                    "type" : "checkbox",
                                    "ng-model" : "config.filter"
                                },
                                classes : "form-control"
                            }
                        }
                    }
                };
                var filter_edit_dom = domService.json2dom(filter_edit_template);

                angular.element(document.getElementById('edit_form_div_lavoisier')).append(filter_edit_dom);
            }
        ]
    );